Package org.apache.datasketches.tuple.arrayofdoubles

# Class ArrayOfDoublesAnotB

java.lang.Object
org.apache.datasketches.tuple.arrayofdoubles.ArrayOfDoublesAnotB

Direct Known Subclasses:
  `ArrayOfDoublesAnotBImpl`

public abstract class ArrayOfDoublesAnotB extends Object
Computes a set difference of two tuple sketches of type ArrayOfDoubles

## Method Summary

Modifier and Type
Method
Description
`abstract ArrayOfDoublesCompactSketch`
`getResult()`
Gets the result of this operation in the form of a ArrayOfDoublesCompactSketch
`abstract ArrayOfDoublesCompactSketch`
`getResult(org.apache.datasketches.memory.WritableMemory mem)`
Gets the result of this operation in the form of a ArrayOfDoublesCompactSketch
`abstract void`
`update(ArrayOfDoublesSketch a, ArrayOfDoublesSketch b)`
Perform A-and-not-B set operation on the two given sketches.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### update

public abstract void update(ArrayOfDoublesSketch a, ArrayOfDoublesSketch b)
Perform A-and-not-B set operation on the two given sketches. A null sketch is interpreted as an empty sketch. This is not an accumulating update. Calling update() more than once without calling getResult() will discard the result of previous update(). Both input sketches must have the same numValues.

Parameters:
  `a` - The incoming sketch for the first argument
  `b` - The incoming sketch for the second argument

### getResult

public abstract ArrayOfDoublesCompactSketch getResult()
Gets the result of this operation in the form of a ArrayOfDoublesCompactSketch

Returns:
  compact sketch representing the result of the operation

### getResult

public abstract ArrayOfDoublesCompactSketch getResult(org.apache.datasketches.memory.WritableMemory mem)
Gets the result of this operation in the form of a ArrayOfDoublesCompactSketch

Parameters:
  `mem` - memory for the result (can be null)
Returns:
  compact sketch representing the result of the operation (off-heap if memory is provided)